#include <WProgram.h>
#include <Wire.h>
#include "Cmd.h"
#include "botProtocol.h"

/*********************************************************************************
 */
Cmd::Cmd()
{
  chCmd = '\0';
  chSubCmd = '\0';
}

/*********************************************************************************
 */
Cmd::Cmd(char cmd, char sub) : chCmd(cmd), chSubCmd(sub)
{
}

/*********************************************************************************
 */
void Cmd::set(char cmd, char sub)
{
  chCmd = cmd;
  chSubCmd = sub;
}

/*********************************************************************************
 */
void Cmd::serialSend()
{
  Serial.write((byte)STX);
  Serial.write(chCmd);
  Serial.write(chSubCmd);
  Serial.write((byte)ETX);
}

/*********************************************************************************
 */
void Cmd::i2cSend(uint8_t addr)
{
  Wire.beginTransmission(addr);
  Wire.send(chCmd);
  Wire.send(chSubCmd);
  Wire.endTransmission();
}

/*********************************************************************************
 */
CmdVal::CmdVal() : Cmd()
{
  iVal = 0;
}

/*********************************************************************************
 */
CmdVal::CmdVal(char cmd, char sub, int val) : Cmd(cmd, sub), iVal(val)
{
}

/*********************************************************************************
 */
void CmdVal::set(char cmd, char sub, int val)
{
  Cmd::set(cmd, sub);
  iVal = val;
}

/*********************************************************************************
 */
void CmdVal::serialSend()
{
  char szVal[CMD_VAL_LEN + 1];
//  sprintf(szVal, "%0*d", CMD_VAL_LEN, iVal);
  sprintf(szVal, "%04d", iVal);

  Serial.write((byte)STX);
  Serial.write(chCmd);
  Serial.write(chSubCmd);
  for(int iCnt = 0; iCnt < CMD_VAL_LEN; iCnt++)
  {
    Serial.write(szVal[iCnt]);
  }
  Serial.write((byte)ETX);
}

/*********************************************************************************
 */
void CmdVal::i2cSend(uint8_t addr)
{
  char szVal[CMD_VAL_LEN + 1];
//  sprintf(szVal, "%0*d", CMD_VAL_LEN, iVal);
  sprintf(szVal, "%04d", iVal);
    
  Wire.beginTransmission(addr);
  Wire.send(chCmd);
  Wire.send(chSubCmd);
  for(int iCnt = 0; iCnt < CMD_VAL_LEN; iCnt++)
  {
    Wire.send(szVal[iCnt]);
  }
  Wire.endTransmission();
}


