// comms layer stuff
#define STX  'S'
#define ETX  'E'
#define ACK  'A'
#define NAK  'N'

// consts for messages received
#define CMD_VAL_LEN      4

// 'D'rive commands
#define CMDS_DRIVE             'D'
#define CMD_LEFT               'L'
#define CMD_LEFT_REV           'l'
#define CMD_RIGHT              'R'
#define CMD_RIGHT_REV          'r'
#define CMD_FORWARD            'F'
#define CMD_REVERSE            'V'
#define CMD_STOP               '0'

// 'M'ode commands
#define CMDS_MODE              'M'
#define CMD_REMOTE_CONTROL     'C'
#define CMD_SET_PATH           'P'
#define CMD_SEEK_LIGHT         'I'

// 'P'ower sensor commands
#define CMDS_POWER             'P'
#define CMD_BAT_LEVEL_REQ      'V'
#define CMD_BAT_LEVEL_RESP     'v'
#define CMD_AMP_SENS_REQ       'C'
#define CMD_AMP_SENS_RESP      'c'

// Light sensor commands
#define CMDS_LITGHT_SENS       'L'
#define CMD_LIGHT_SENS_LF_REQ  '1'
#define CMD_LIGHT_SENS_LF_RESP '2'
#define CMD_LIGHT_SENS_RF_REQ  '3'
#define CMD_LIGHT_SENS_RF_RESP '4'
#define CMD_LIGHT_SENS_LB_REQ  '5'
#define CMD_LIGHT_SENS_LB_RESP '6'
#define CMD_LIGHT_SENS_RB_REQ  '7'
#define CMD_LIGHT_SENS_RB_RESP '8'

// 'O'ther sensor commands
#define CMDS_OTHER_SENS        'O'
#define CMD_PROX_SENS_REQ      'P'
#define CMD_PROX_SENS_RESP     'p'
#define LEFT_PROX_MASK          0x01
#define RIGHT_PROX_MASK         0x02

// 'C'law commands
#define CMDS_CLAW              'C'
#define CMD_CLAW_PAN           'P'
#define CMD_CLAW_PAN_NEG       'p'
#define CMD_CLAW_TILT          'T'
#define CMD_CLAW_TILT_NEG      't'
#define CMD_CLAW_OPEN          'O'
#define CMD_CLAW_OPEN_PLUS     'o'
#define CMD_CLAW_OPEN_NEG      'c'


// I2C Ids
#define I2C_DISPLAY     8
#define I2C_CLAW        9

